// import LiveCodes from 'livecodes/react';
import { createPlayground } from 'livecodes';
import { useEffect } from 'react';

const config = {
  markup: {
    language: 'markdown',
    content: '# Hello World!',
  },
};
// const Playground = () => (
//   <LiveCodes
//     config={{
//       markup: {
//         language: 'markdown',
//         content: '# Hello World!',
//       },
//     }}
//     view='result'
//   />
// );

export const App = () => {
  useEffect(() => {
    init();
  }, []);
  const init = async () => {
    const playground = await createPlayground('#container', {
      // template: 'react',
      // other embed options
      config: {
        markup: {
          language: 'markdown',
          content: '# Hello World!',
        },
      },
    });
    const config = await playground.getConfig();
    // @ts-ignore
    window.playground = playground;
    console.log(config, playground);
  };
  return (
    <div className='App'>
      <h1>LiveCodes Playground</h1>
      {/* <Playground /> */}
      <div id='container'></div>
    </div>
  );
};
